List delivery links
GET
List a project's delivery links and their status.
API-key permission: link read. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidpage?integerRange
1 <= value <= 9007199254740991Default
1limit?integerRange
1 <= value <= 100Default
10sort?stringDefault
"newest"Value in
"newest""oldest"query?stringLength
length <= 200Default
""status?stringDefault
"all"Value in
"all""issued""clicked""submitted""expired"OK
application/json- response
links*array<>pagination*used*integerRange
0 <= value <= 9007199254740991limit*integerRange
0 <= value <= 9007199254740991periodStart*|nullperiodEnd*|nullcurl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/link'Example Response
{
"links": [
{
"verificationId": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"customerEmail": "[email protected]",
"customerFirstName": "string",
"customerLastName": "string",
"customerReference": "string",
"issuedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"link": "http://example.com",
"emailedAt": "2019-08-24T14:15:22Z",
"nextEmailAt": "2019-08-24T14:15:22Z",
"clickedAt": "2019-08-24T14:15:22Z",
"submittedAt": "2019-08-24T14:15:22Z",
"responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",
"status": "issued"
}
],
"pagination": {
"page": -9007199254740991,
"limit": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991
},
"used": 0,
"limit": 0,
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z"
}